var menu = (function(){
	'use strict';
	
	return {
		init: function() {
			$('.menu').click(function(){
				if($('nav').hasClass('active')){
					$('nav').removeClass('active');
				}
				else {
					$('nav').addClass('active');
				}
			});
			
			var animationStop;

            function start() {
				$('nav').removeClass('plug');
				$('nav li').removeClass('plug');
				$('.logo').removeClass('plug');
            }

            $(window).on("resize", function () {
				$('nav').addClass('plug');
				$('nav li').addClass('plug');
				$('.logo').addClass('plug');
				animationStop = setTimeout(start, 10);
            });
		},
		carousel: function() {
			$('.slider').slick({
				dots: true,
				nav: false,
				prevArrow: '',
				nextArrow: '',
				edgeFriction: 0,
				slidesToShow: 1,
				autoplay: true,
				autoplaySpeed: 5000
			});
		}
	};
})();